From: Arto Jantunen <viiru@debian.org>
Date: Mon, 27 May 2024 08:48:53 +0300
Subject: Disable tests for sqlmodel

---
 tests/test_generator_sqlmodel.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/test_generator_sqlmodel.py b/tests/test_generator_sqlmodel.py
index baf92dd..5382b65 100644
--- a/tests/test_generator_sqlmodel.py
+++ b/tests/test_generator_sqlmodel.py
@@ -18,6 +18,8 @@ from sqlacodegen.generators import CodeGenerator, SQLModelGenerator
 
 from .conftest import validate_code
 
+pytest.importorskip("sqlmodel")
+
 
 @pytest.fixture
 def generator(
